import { post, upload } from "@/request/axios.js";

export const getVehicleColor = (params) =>
  post("/dictionaries/getVehicleColor", {   // 获取车辆颜色
    loading: false,
    ...params,
  });

export const getTransportationEnterprise = (params) =>
  post("/dictionaries/getTransportationEnterprise", {   // 获取运输企业
    loading: false,
    ...params,
  });
export const getMobileUnit = (params) =>
  post("/dictionaries/getLevels", {
    loading: false,
    ...params,
  });

export const getNetworkStatus = (params) =>
  post("/dictionaries/getNetworkStatus", {  // 获取网络状态
    loading: false,
    ...params,
  });

export const getDynamicSupervision = (params) =>
  post("/dictionaries/getDynamicSupervision", {   // 获取动态监管
    loading: false,
    ...params,
  });

export const getActiveSafety = (params) =>
  post("/dictionaries/getActiveSafety", {   // 获取主动安全
    loading: false,
    ...params,
  });

export const getLicenseStatus = (params) =>
  post("/dictionaries/getLicenseStatus", {  // 获取行驶证状态
    loading: false,
    ...params,
  });

export const getTransportCategory = (params) =>
  post("/dictionaries/getTransportCategory", {  // 获取运输类别
    loading: false,
    ...params,
  });

export const getBelongingDepartment = (params) =>
  post("/dictionaries/getBelongingDepartment", {  // 获取归属部门
    loading: false,
    ...params,
  });

export const getVehicleType = (params) =>
  post("/dictionaries/getVehicleType", {  // 获取车辆类型
    loading: false,
    ...params,
  });

export const getFnGetFuelType = (params) =>
  post("/dictionaries/getFnGetFuelType", {  // 获取燃料类型
    loading: false,
    ...params,
  });

export const getEmissionStandard = (params) =>
  post("/dictionaries/getEmissionStandard", {   // 获取排放标准
    loading: false,
    ...params,
  });

export const getOperationVehicleList = (params) =>
  post("/operatingvehicles/list", params); // 运营车辆列表

export const setOperationVehicleDelete = (params) =>
  post("/operatingvehicles/delete", params); // 删除运营车辆信息

export const addOperatingVehicleInfo = (params) =>
  upload("/operatingvehicles/add", params); // 添加运营车辆信息

export const findByIdOperatingVehicleInfo = (params) =>
  post("/operatingvehicles/goEdit", params);  // 根据Id获取运营车辆信息

export const editOperatingVehicleInfo = (params) =>
  upload("/operatingvehicles/edit", params);  // 修改运营车辆

export const getOperationVehicleInfo = (params) =>
  post("/operatingvehicles/findById", params);  // 根据Id获取运营车辆信息




